Subject: bug#78193: closed (Re: bug#78193: Emacs compilation warnings with GCC 15 on Windows 10)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 14 Jun 2025 14:00:04 +0000

Your bug report

#78193: Emacs compilation warnings with GCC 15 on Windows 10 

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78193: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78193
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78193: Emacs compilation warnings with GCC 15 on Windows 10
From: Eli Zaretskii <[email-masked]>
To: MAN ONE <[email-masked]>
Cc: [email-masked]
Date: Sat, 14 Jun 2025 16:58:58 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: MAN ONE <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Tue, 3 Jun 2025 08:58:33 +0000
> 
> I attached the new build log, compiled using commit 50e3bce315eb499917c1d208f87f84315f1a8b4e, indeed most warnings has gone.

Thanks, I fixed the warnings that I care about.  The rest should be
ignored.

> Btw, should I keep using `make V=1` ?

Not necessary, thanks.

I'm therefore closing this bug.

Subject: Emacs compilation warnings with GCC 15 on Windows 10
From: MAN ONE <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 1 May 2025 12:40:28 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, the attachment is a build log of compiling Emacs on Windows 10 in Msys2's
UCRT environment, most of the warnings are from windows related files, so I
think it may be helpful to report it.

===========================================================================

Output of `gcc -v' :

Using built-in specs.
COLLECT_GCC=C:\msys64\ucrt64\bin\gcc.exe
COLLECT_LTO_WRAPPER=C:/msys64/ucrt64/bin/../lib/gcc/x86_64-w64-mingw32/15.1.0/lto-wrapper.exe
Target: x86_64-w64-mingw32
Configured with: ../gcc-15.1.0/configure --prefix=/ucrt64 --with-local-prefix=/ucrt64/local --with-native-system-header-dir=/ucrt64/include --libexecdir=/ucrt64/lib --enable-bootstrap --enable-checking=release --with-arch=nocona --with-tune=generic --enable-mingw-wildcard --enable-languages=c,lto,c++,fortran,ada,objc,obj-c++,jit --enable-shared --enable-static --enable-libatomic --enable-threads=posix --enable-graphite --enable-fully-dynamic-string --enable-libstdcxx-backtrace=yes --enable-libstdcxx-filesystem-ts --enable-libstdcxx-time --disable-libstdcxx-pch --enable-lto --enable-libgomp --disable-libssp --disable-multilib --disable-rpath --disable-win32-registry --disable-nls --disable-werror --disable-symvers --with-libiconv --with-system-zlib --with-gmp=/ucrt64 --with-mpfr=/ucrt64 --with-mpc=/ucrt64 --with-isl=/ucrt64 --with-pkgversion='Rev1, Built by MSYS2 project' --with-bugurl=https://github.com/msys2/MINGW-packages/issues --with-gnu-as --with-gnu-ld --disable-libstdcxx-debug --enable-plugin --with-boot-ldflags=-static-libstdc++ --with-stage1-ldflags=-static-libstdc++
Thread model: posix
Supported LTO compression algorithms: zlib zstd
gcc version 15.1.0 (Rev1, Built by MSYS2 project) 

===========================================================================
Emacs is configured with:

In GNU Emacs 31.0.50 (build 1, x86_64-w64-mingw32) of 2025-05-01 built
 on LILILILILILILIL
Repository revision: b9632a9049d07de3a0d6f0ae005a28b38825ff82
Repository branch: master
Windowing system distributor 'Microsoft Corp.', version 10.0.19045
System Description: Microsoft Windows 10 Pro (v10.0.2009.19045.5737)

Configured using:
 'configure --without-dbus --without-pop 'CFLAGS=-O2 -march=native''

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XPM ZLIB